function [indOut,posCr]=spitInd(crit,per);
%
% for a matrix of criterion functions determines the number of lags for the
% minimal value (when the # of lags is "per")
%

tol=1e-5; nVars=round(log(length(crit))/log(per));
if ~(nVars<log(length(crit))/log(per)+tol & nVars>log(length(crit))/log(per)-tol); 
    error('Wrong size of input matrix'); 
end;
[junk,posCr]=min(crit); indOut=repmat(nan,nVars,1); posCrNow=posCr-1;
for i=1:nVars;
   indOutP= mod(posCrNow,per);
   indOut(i)=indOutP;
   posCrNow=(posCrNow-indOutP)/per;
end;
indOut=flipud(indOut);
