hForwardM1=hForward-1;
endTime=2002.99-hForwardM1/12;
time=(1978.1:1/12:endTime)';
michSent=data(2:end-hForwardM1,1);	
michExp=data(2:end-hForwardM1,2); 
cbSent=data(2:end-hForwardM1,3); 
cbExp=data(2:end-hForwardM1,4); 
fyff=data(2:end-hForwardM1,5);
sp500L=log(data(1:end-hForwardM1,6));
spRet=1200*diff(sp500L);
dispIncL=log(data(1:end-hForwardM1,7));
dispInc=1200*diff(dispIncL);
consLHS=1200*(log(data(hForward+1:end,8:11))-log(data(1:end-hForward,8:11)))/hForward;
totalConsL=log(data(1:end-hForwardM1,8));
totalCons=1200*diff(totalConsL); totalConsLHS=consLHS(:,1);
durConsL=log(data(1:end-hForwardM1,9)); 
durableCons=1200*diff(durConsL); durableConsLHS=consLHS(:,2);
nondurConsL=log(data(1:end-hForwardM1,10));
nondurableCons=1200*diff(nondurConsL); nondurableConsLHS=consLHS(:,3);
servL=log(data(1:end-hForwardM1,11));
serviceCons=1200*diff(servL); serviceConsLHS=consLHS(:,4);
inflation=1200*diff(log(data(1:end-hForwardM1,12)));
un=data(2:end-hForwardM1,13);
lead=diff(data(1:end-hForwardM1,14));
coinc=diff(data(1:end-hForwardM1,15));
tmtb=data(2:end-hForwardM1,16); % 3month Treasury bill
tytb=data(2:end-hForwardM1,17); % 10year Treasury bond
aaay=data(2:end-hForwardM1,18); % Moody's Aaa corporate bond yield
rSpread=aaay-tmtb;
lsSpread=tytb-tmtb;
allData=[michSent michExp cbSent cbExp fyff inflation un sp500L(2:end) dispIncL(2:end) totalConsL(2:end) durConsL(2:end) ...
        nondurConsL(2:end) servL(2:end) lead coinc tmtb tytb aaay];

% %plot data
% figure; plot(time,[allData(:,1:4) allData(:,end-1:end)]); axis tight; axis 'auto y'; title('Sentiment Indexes');
% legend('Mich Sentiment','Mich Expectations','CB Sentiment','CB Expectations','Leading I','Coincident I',2); 
% figure; plot(time,allData(:,5:7)); legend('Fed funds','Inflation','Unemployment'); axis tight; axis 'auto y'; title('FF, Inflation, Unemployment');
% figure; plot(time,allData(:,8:end)); legend('SP500','Disposable Income','Total Consumption','Durable Consumption','Nondurable Consumption','Services',3);
% axis tight; axis 'auto y'; title('S&P 500, Income, Consumption');
