function y = ma(x, mw);
%
%  MA smoothing
%   y=function ma(x,mw);
%  mw   if scalar, the order of constant weight MA filter
%       if vector, the weight of the filer
mw = makeCol(mw)'; y=repmat(nan,size(x));
if iscalar(mw); yF = filter(ones(1,mw)/mw,1,x); mwC = floor(mw/2); if mw/2==floor(mw/2); mw=mw+1; end;
else yF = filter(mw,1,x); mwC = floor(length(mw)/2);
end;
y(mwC+1:end-mwC,:) = yF(mw:end,:);
%=======================================================
function y = iscalar(x); % tests whether x is a scalar
y = 0;
if size(x) == [1 1] & isnumeric(x); y = 1; end;
y = logical(y);