clear all; close all; tic; 

% prob=cmccvs(stat,lambda,sigma,statIndex,plotIndex,meshG,nReps);
k=8
stat=1.474
pI=2; lambda=1/(1+pI)
[prob,gs1]=cmccvs3(repmat(stat,2,1),lambda,eye(k),1,0,500,10000); %[1 0.5 0.25; 0.5 1 .5; .25 .5 1]
k2=1;
[prob,gs2]=cmccvs3(repmat(stat,2,1),lambda,eye(k2),1,0,500,10000); %[1 0.5 0.25; 0.5 1 .5; .25 .5 1]

[f1,xi1]=ksdensity(gs1); [f2,xi2]=ksdensity(gs2); xi=[xi1;xi2]; f=repmat(nan,200,2); f(1:100)=f1; f(101:end,2)=f2';
mp1=figure; h=myPlot(xi,[f [repmat(nan,100,1); normpdf(xi(101:200))]]); lh=legend(['Clark-McCracken, k_2=' int2str(k)],['Clark-McCracken, k_2=' int2str(k2)],'Standard Normal'); 
title('Distribution of the Diebold-Mariano Statistic','Fontsize',14);
set(lh,'fontsize',12);
set(h(3),'linestyle','-');

t=toc; mints=floor(toc/60); secs=toc-60*mints;
fprintf('Time: %4.0f minutes, %4.2f seconds\n', mints,secs); diary off;

