function [dmS,sd,pVal]=dm2(errors1,errors1b,nLags);
% does the DM test for 2 errors only, no McCracken distribution
% Calculates the Diebold-Mariano test based on OLS and NW HAC standard
T=length(errors1); errors2=[errors1.^2 errors1b.^2];
dmS=repmat(nan,1,2); sd=dmS; pVal=dmS;

diffErrs2=errors2(:,1)-errors2(:,2); 
sd(1)=sqrt((var(diffErrs2))/T); 
if nLags >0;
   sd0=hac(diffErrs2,nLags,0,3)/T; sd(2)=sqrt(sd0); 
else sd(2)=sd(1); 
end;
if sd(1)>0; dmS(1)=mean(diffErrs2)/sd(1); dmS(2)=mean(diffErrs2)/sd(2); 
elseif sd(1)==0 & diffErrs2(i)==0; dmS=zeros(1,2); 
end;

if exist('normcdf'); pVal=2*(1-normcdf(abs(dmS))); else; pVal=repmat(nan,size(dmS)); end;
