function [b,seS,pVal]=fComb2(actual,forecasts,hForward);
% combination regression, just two forecasts, no Clark McCracken stuff
% b close to 0 => second forecast is encompassed (inferior)
% 1ST FORECASTS IS SMALL, 2 ND BIG
T=length(forecasts);

depVar=actual-forecasts(:,1);
indepVar=forecasts(:,2);
b=indepVar\depVar;
sig2=mean((depVar-indepVar*b).^2);
olsStErr=sqrt(sig2*diag(inv(indepVar'*indepVar)));
if hForward>1;
   [junk,junk,nwM,junk]=olshac(depVar,indepVar,hForward-1,0,3); 
else;
   results=hwhite_mine(depVar,indepVar); nwM=results.V;
end;
nwI=sqrt(diag(nwM)); seS=[olsStErr nwI];
encTstat=[b/olsStErr b/nwI];
if exist('normcdf'); pVal=2*(1-normcdf(abs(encTstat))); else; pVal=repmat(nan,size(encTstat)); end;

