function [rollF,rollE,rollAct]=rollFuncPLS2(regStart,regEnd,X,y,pMax);
% modification of infoCrit
yRoll=y(regStart:regEnd); rollAct=y(regEnd+1);
Xroll=X(regStart:regEnd,:); 

K=floor((size(Xroll,2)-1)/pMax); minInd=zeros(K,1); ind=[];
for i=1:K; ind=[ind; [(i-1)*pMax+2,i*pMax+1]]; end;
ind=sortrows(ind,1); varSpread=ind(:,2)-ind(:,1)+1; T=size(X,1);
sMax=tril(ones(max(varSpread)+1),-1); sMax=sMax(:,1:end-1); 
s1=sMax( (minInd(1)+1):(varSpread+1), 1:varSpread(1) ); % creates the maximal index matrix

for i=2:size(ind,1);  %create the big index matrix
   si=sMax(minInd(i)+1:varSpread(i)+1, 1:varSpread(i));
   s = [ kron(s1,ones(size(si,1),1)) kron(ones(size(s1,1),1),si)]; s1=s;
end; s=s1;
s1=ones(size(s,1),size(X,2)); j=1;
for i=1:size(ind,1); % put in ones for the rest of indexes (vars not included in IC, ie supply shocks)
   s1(:,ind(i,1):ind(i,2))=s(:,j:(j+varSpread(i)-1));
   j=j+varSpread(i);
end; 
s=s1;

rollF=repmat(nan,size(s,1),1); 
for i=1:size(s,1);
   Xi=Xroll(:,logical(s(i,:))); XlastI=X(regEnd+1,logical(s(i,:)));
   beta=pinv(Xi'*Xi)*Xi'*yRoll; 
   rollF(i)=XlastI*beta;
end;
rollE=rollF-repmat(rollAct,size(s,1),1);
