cd C:\sentiment\matlab;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
close all; clear all; diary([mfilename '.out']); 
disp('==================================================================================');
disp(['Running  ' mfilename '.m                      ' datestr(now)]); format compact; tic; initSeed;
disp('==================================================================================');

hFore=[3];    	 % forecasting horizon
consInd=[1];     % consumption series
sentInd=[1 2];   % sentiment series
ell=1;

for j = consInd;
for i = hFore;
for k = sentInd;
   [mse(ell,:),lambda(ell,:),seLambda(:,:,ell),pValDM(:,:,ell),pValMZ(:,:,ell),bfc(:,:,ell),sds(:,:,ell),...
         dmStats(:,:,ell),pValDMCM(:,:,ell),pValDMT(:,:,ell)] = sentimentForecastFunc(j,k,i);
    mseR(ell,:)=mse(ell,:)./repmat(mse(ell,3),1,size(mse(ell,:),2)); mseR(ell,3)=mse(ell,3);
    ell=ell+1;
end;
end;
end;

%mse
t=toc; mints=floor(toc/60); secs=toc-60*mints;
fprintf('Time: %4.0f minutes, %4.2f seconds\n', mints,secs); diary off;
