function [b,seS,pVal]=fCombCM(actual,forecasts,xSmall,xBig,lambda,hForward,plotIndex,nT,nReps);
% combination regression, Clark-McCracken stuff
% b close to 0 => second forecast is encompassed (inferior)
if nargin==6; plotIndex=0; nT=300; nReps=3000; end;
if nargin ==7; nT=300; nReps=3000; end;
if nargin ==8; nReps =3000; end;
T=length(forecasts);
disp('sssagg2')
depVar=actual-forecasts(:,2);
indepVar=forecasts(:,1)-forecasts(:,2);
b=indepVar\depVar;
sig2=mean((depVar-indepVar*b).^2);
olsStErr=sqrt(sig2*diag(inv(indepVar'*indepVar)));
if hForward>1;
   [junk,junk,nwM,junk]=olshac(depVar,indepVar,hForward-1,0,3); 
else;
   results=hwhite_mine(depVar,indepVar); nwM=results.V;
end;
nwI=sqrt(diag(nwM)); seS=[olsStErr nwI];
encTstat=[b/olsStErr b/nwI];

errorsSmall=forecasts(:,2)-actual; errorsBig=forecasts(:,1)-actual;
k=size(xBig,2); k1=size(xSmall,2);
h2=repmat(errorsSmall,1,k).*xBig;
xbb=(repmat(xBig,[1,1,k])); xbbp=permute(xbb,[1 3 2]); b2=inv(squeeze(mean(xbb.*xbbp,1)));
xss=(repmat(xSmall,[1,1,k1])); xssp=permute(xss,[1 3 2]); b1=inv(squeeze(mean(xss.*xssp,1)));
J=[eye(k1),zeros(k1,k-k1)]; 
b2m1=inv(sqrtm(b2)); aTildeA=b2m1*(-J'*b1*J+b2)*b2m1;
% the decomposition below workd better than this raTildeA=myRound(aTildeA,8); [u,ev]=chol(raTildeA); J2=[zeros(k-k1,k1), eye(k-k1)]; % this rounding seems to be necessary because matlab sometimes produces complex eigenvalues
tol=1e-6;
[u,ev]=schur(aTildeA); probEvs=sum(sum((abs(ev)>tol&abs(1-ev)>tol))); 
if probEvs>0; disp(['Check the spectral decomposition in ' mfilename ', some eigenvalues are not correctly calculated.']); 
    disp('Eigenvalue Matrix'); disp(ev); 
end;
indAA=logical(max((abs(ev-1)<tol))); 
if sum(indAA)~=(k-k1); error('The spectral decomposition of A~''A~ is not precise, increase tol in dmCM'); end;
J2=ev(indAA,:); J2(abs(J2)<tol)=0; J2(abs(J2-1)<tol)=1; aTilde=J2*(u');
hTilde=(inv(sqrt(var(errorsSmall)))*aTilde*sqrtm(b2)*h2')';
hTildeVar=hac(hTilde,hForward,0,3);
pVal=1-cmccvs3(encTstat,lambda,hTildeVar,2,plotIndex,nT,nReps);
