function [rollF,rollE,rollAct,lagsIndIC]=rollFunc3(regStart,regEnd,X,y,pMax,bicIndex);

if bicIndex~=1 & bicIndex~=0; error('Please make sure the bicIndex is zero or one.'); end; 
yRoll=y(regStart:regEnd); rollAct=y(regEnd+1);
Xroll=X(regStart:regEnd,:); Xlast=X(regEnd+1,:);
K=floor((size(Xroll,2)-1)/pMax); minInd=zeros(K,1); ind=[];
for i=1:K; ind=[ind; [(i-1)*pMax+2,i*pMax+1]]; end;
[minCr,lagsInd,infoC] = infoCrit(Xroll,yRoll,ind,minInd);
lagsIndIC=lagsInd(1+bicIndex,:)';
Xrolla=Xroll(:,1); Xlasta=Xlast(1);

for i=1:K; 
    if lagsInd(1+bicIndex,i)>0;
        Xrolla=[Xrolla Xroll(:,(i-1)*pMax+2:(i-1)*pMax+1+lagsInd(1+bicIndex,i))]; 
        Xlasta=[Xlasta Xlast((i-1)*pMax+2:(i-1)*pMax+1+lagsInd(1+bicIndex,i))]; 
    end;       
end;
Xroll=Xrolla; Xlast=Xlasta;
betaRoll(:,1)=pinv(Xroll'*Xroll)*Xroll'*yRoll; 
% Forecasts and Forecast Errors
rollF=Xlast*betaRoll;
rollE=rollF-rollAct;
if nargout>3; const=betaRoll(1); end;
